API references
Search documentation... ⌘K
API references
Merchant API

Remove a SDK installation

Permanently delete a SDK installation from your merchant account. This will:

  • Remove the installation configuration
  • Invalidate any API calls from this installation

Common use cases for this endpoint:

  • Cleaning up old or unused installations
  • Decommissioning applications that have been replaced

Warning: This action cannot be undone. Once an installation is removed, you'll need to create a new installation if you want to restore access. Consider using the disable-installation endpoint instead if you only need to temporarily prevent API access.

The endpoint returns true if the installation was successfully removed.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/remove-installation HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
installation_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
installation_id string

Required. The unique identifier of the installation to remove. This is the ID that was returned when you created the installation.

Errors specific to this endpoint
NOT_FOUND

The installation with the provided ID could not be found in your merchant account. Verify that you're using the correct installation ID.

CANNOT_BE_DELETED

This installation cannot be removed as it is used by Terminals or Payment Links.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/remove-installation" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "installation_id": "ins_xhBi6ypq9G"
      }'

Learn how to run these code samples in your terminal by reading our guide.